Filter Ctrl-c, X crash, power loss to prevent Instantbird to think it crashes

RESOLVED FIXED in 0.1.3

Status

Chat Core
General
--
enhancement
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: Romain BEZUT, Assigned: florian)

Tracking

Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Reporter)

Description

4 years ago
*** Original post on bio 139 at 2008-10-02 18:35:00 UTC ***

We will want to filter out unexpected exits of the application (ctrl-c, X
server crash, power loss, ...).
A solution to do this is to compare the timestamp of the LastCrash (saved by
breakpad) with the timestamp of auto-connection (which will be the value of the
pref we add for this feature). Of course, we will need to check first that
breakpad is enabled.
(Reporter)

Updated

4 years ago
Blocks: 953584
(Reporter)

Updated

4 years ago
No longer blocks: 953584
Depends on: 953584
(Reporter)

Updated

4 years ago
Blocks: 953532
(Assignee)

Updated

4 years ago
Assignee: nobody → florian
OS: Linux → All
Hardware: x86 → All
Target Milestone: --- → 0.1.3
(Assignee)

Comment 1

4 years ago
Created attachment 8351871 [details] [diff] [review]
Patch

*** Original post on bio 139 as attmnt 127 at 2008-11-07 23:47:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
(Assignee)

Comment 2

4 years ago
*** Original post on bio 139 at 2008-11-08 00:29:52 UTC ***

Pushed as 449:955621a7118b.
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.